# Create location Creates a new Location record. A geographic or logical location (farm, barn, paddock, room, kennel). Endpoint: POST /site/{siteId}/ahds/v1/location Version: 1.0 Security: bearer ## Path parameters: - `siteId` (number, required) Site identifier ## Request fields (application/json): - `locationId` (string) Canonical unique identifier for the location. Example: "123e4567-e89b-12d3-a456-426614174000" - `name` (string, required) Human-readable name of the location. Example: "Example Name" - `locationType` (object) Type of location (farm, barn, paddock, room, kennel). - `locationType.code` (string, required) Code value Example: "12345" - `locationType.system` (string, required) Code system URI Example: "http://example.com/codesystem" - `locationType.display` (string) Human-readable display Example: "Example Display Name" - `parentLocationId` (string) Reference to parent location for hierarchical structures. Example: "123e4567-e89b-12d3-a456-426614174000" - `facilityId` (string) Reference to the facility this location belongs to. Example: "123e4567-e89b-12d3-a456-426614174000" - `address` (object) Physical address if applicable. - `coordinates` (object) GPS coordinates. - `isActive` (boolean) Whether the location is currently active. Example: true - `extensions` (object) Vendor- or practice-specific extensions. ## Response 201 fields (application/json): - `locationId` (string, required) Canonical unique identifier for the location. Example: "123e4567-e89b-12d3-a456-426614174000" - `name` (string, required) Human-readable name of the location. Example: "Example Name" - `locationType` (object, required) Type of location (farm, barn, paddock, room, kennel). - `locationType.code` (string, required) Code value Example: "12345" - `locationType.system` (string, required) Code system URI Example: "http://example.com/codesystem" - `locationType.display` (string) Human-readable display Example: "Example Display Name" - `parentLocationId` (string, required) Reference to parent location for hierarchical structures. Example: "123e4567-e89b-12d3-a456-426614174000" - `facilityId` (string, required) Reference to the facility this location belongs to. Example: "123e4567-e89b-12d3-a456-426614174000" - `address` (object, required) Physical address if applicable. - `coordinates` (object, required) GPS coordinates. - `isActive` (boolean, required) Whether the location is currently active. Example: true - `createdAt` (string, required) Timestamp when the location record was created. Example: "2025-01-01T00:00:00.000Z" - `updatedAt` (string, required) Timestamp when the location record was last updated. Example: "2025-01-01T00:00:00.000Z" - `extensions` (object, required) Vendor- or practice-specific extensions. ## Response 400 fields ## Response 401 fields ## Response 409 fields